/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetalleFactura;
import com.cosmodas.EntCosmos.Facturas;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface FacturasFacadeLocal {

    void create(Facturas facturas);

    void edit(Facturas facturas);

    void remove(Facturas facturas);

    Facturas find(Object id);

    List<Facturas> findAll();

    List<Facturas> findRange(int[] range);

    int count();

    Facturas BusquedaFactura(String codigoFactura, String facturaSerie);

    Facturas busquedaHFacturas(String facturaCodigo, String facturaSerie);

    List<DetalleFactura> busquedaHdetFacturas(String facturaCodigo, String facturaSerie);

    void actualizaImpresoFactura(String facturaCodigo, String facturaSerie);

    void consultorMasivo(String consultorCodigo);

}
